### Virtual Method

# Gio ProxyResolver lookup_async

since: 2.26

#### Declaration

    void
    lookup_async (
      GProxyResolver* resolver,
      const gchar* uri,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronous lookup of proxy. See `g_proxy_resolver_lookup()` for more details.

Available since: 2.26

#### Parameters

`uri`

  Type: `const gchar*`

  A URI representing the destination to connect to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call after resolution completes.

`user_data`

  Type: `gpointer`

  Data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.